Jump to content

printing all tabs


eyal

Recommended Posts

Hi,

 

I don't know if I should direct this question to this forum,but it would be a huge helping for me :

 

I have a set of drawing in a folder and I want to print them all,

I have all the drawings zoom extend state , and I can save changes to the layout

before closing the drawing if it would help. like:

dvkyE

but I need to print the drawings and some of them are in model space - but with zoom extend state , and some are from the paper space.

Is there anything I can do to print the drawings without entering them?

Link to comment
Share on other sites

Do you plan on grouping the drawings into separate folders for those to be printed from model space and those to be printed from paper space?

 

Even with a batch printing script the drawings would have to be opened wouldn't they?

Link to comment
Share on other sites

Do you plan on grouping the drawings into separate folders for those to be printed from model space and those to be printed from paper space?

 

Even with a batch printing script the drawings would have to be opened wouldn't they?

 

No,

I mean I have a folder with drawings in it , most of them need to be printed from model space and some from the paper space.

 

I want to print them all without opening them. Can I do this or something like this or something else that could reduce my printing time.

 

If it shoudn't be in this forum I appologize.

 

Thank you.

Link to comment
Share on other sites

How are you going to choose what to print from Model and what Layouts to print?

 

You'll need some method to determine what to print in each drawing.

 

Every drawing with a Layout Tab will have a Modelspace and every drawing with a Modelspace will have a Layout Tab.

 

Like ReMark, what will you do to differentiate drawings for printing Layout Tabs (will it plot all TABS?) and the drawings that have Modelspace only printed.

Link to comment
Share on other sites

How are you going to choose what to print from Model and what Layouts to print?

 

You'll need some method to determine what to print in each drawing.

 

Every drawing with a Layout Tab will have a Modelspace and every drawing with a Modelspace will have a Layout Tab.

 

Like ReMark, what will you do to differentiate drawings for printing Layout Tabs (will it plot all TABS?) and the drawings that have Modelspace only printed.

 

That was my first thinking ,yes.

 

But if there is a method to print first of all the model space of all the drawings it's OK , and if there is a method to print only the paperspace with all the layouts afterwards it's also ok .(but I don't want to use the Sheet Set Manager )

Link to comment
Share on other sites

The drawings are in different scale,

all my drawings are in a frame , and what I wanted to have is:

 

when printing the first drawing it will save my plot settings (ctb,plotting area , printer , scale ,etc) ,

and when printing my second drawing it will do the same and so on for all my drawings,

then I want to print all the drawings in the folder using the settings I print each one of them.

For the first drawing maybe I print it from the layout , and for the second drawing I print from the model , if it would save my setting for each drawing how I plot each one of them , and restore the same setting for each one of them and print them , it would be great.

Link to comment
Share on other sites

If the scale varies between model space drawings and the drawings are in the same folder as those that will be printed from paper space I don't see how you would be able to batch plot them all at one time using the same lisp routine.

Link to comment
Share on other sites

Like Remark sounds like you have bits all over the place.

 

The answer is yes to plot all layouts and yes to plot title from mspace but its 2 seperate bits of code and does require the dwg to be opened. Yes it can be scripted to do multiple dwgs.

 

A recent post was about converting model space titles to seperate layouts, I started something but it is not finished, it takes into account the scale of the title block.

Link to comment
Share on other sites

eyal

If you have several formats in the model space, then in any case you will have to open the drawing. This is necessary to select a frame.

It is possible to print all at once, and specify print settings, but you need your example to check.

Attach an example of your files.

Link to comment
Share on other sites

This will convert model space title block to a paperspace layout you can then do a plot all layouts so gets around the plot all problems,it only relocates the title block, leaves all other objects in model space. If you look at this also its a plot range of layouts. 'http://www.cadtutor.net/forum/showthread.php?69132-Printing-LISP-Help...&highlight=Printing-LISP.

 

; make layouts using title blocks from mspace
; by Alan H April 2017
; title blocks can be any scale
; this code is for metric and may need modification for feet
; the code is hard coded for a A1 title block with a mview window
; of 800x500
; the manual pick is to ensure layouts are created in correct order.

; the cnr1 is based on the size of the title block and correct mview size
; the L & H is outside title block size in true size
; use a cond to check for various title blocks
(defun convmodel-pspace ( / L H cnr1 cnr2 cenx ceny obj obj1 objent ins xsc ysc cen laynum x lay)
(setq L 801.0) ;sheet size
(setq h 554.0)
(setq cnr1 (list 1.0 51.0)) ; mview corners
(setq cnr2 (list 800.0 553.0))
(setq cenx 400.05) ; centre of mview
(setq ceny 302.00)
; end of titleblock params

(setq oldsnap (getvar "osmode"))
(setvar "osmode" 0)
; pick title blocks
(while (setq objent (car (entsel "\nPick title block")))
(setq obj (vlax-ename->vla-object objent))
(setq ins (vlax-safearray->list (vlax-variant-value (vla-get-insertionpoint obj)))) ; expects lower left as insert
(setq xsc (vla-get-xscalefactor obj))
(setq ysc (vla-get-xscalefactor obj))
(setq cen (list (+ (car ins) (* xsc cenx))(+ (cadr ins) (* ceny ysc)))) ;adjust cen pt to model co-ords
(command "layout" "n" "")
(setq alllayouts (vla-get-Layouts (vla-get-activedocument (vlax-get-acad-object))))
(setq num 999) ; dummy max value
(SETQ LAYNUM 0)
(vlax-for x alllayouts
(Setq laynum (+ 1 laynum))
)
(if (> num laynum)
(setq num (- laynum 1))
)
(vlax-for lay alllayouts
(if (= num (vla-get-taborder lay))
 (setvar "ctab" (vla-get-name lay))
)
)
; find any mviews and erase make sure to have a true blank layout found in testing
(command "erase" "W" (list -100 -100)(list 1000 1000) "")
(command "mview" (list -10 -10) (list 900 900)) ; new mview adjust for bigger sheet
(setq objl (entlast))
(command "zoom" "e")
(command "mspace")
(command "zoom" "c" ins 100)
(command "chspace" objent "")
(command "erase" objl "")
(setq ins (vlax-safearray->list (vlax-variant-value (vla-get-insertionpoint obj))))
(command "move" objent "" ins (list 0 0)) ; put title block to 0,0
(vla-put-xscalefactor obj 1) ; make title true size
(vla-put-yscalefactor obj 1)
(vla-put-zscalefactor obj 1)
; put correct layer here for mview
(command "mview" cnr1 cnr2)
(command "mspace")
(command "zoom" "C" cen 1)
(command "zoom" (strcat (rtos (/ 1.0 xsc) 2 0) "xp"))
; end of repeat 
(setvar "ctab" "Model")
) ; while
(setvar "osmode" oldsnap)
) ; defun
(convmodel-pspace)

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Unfortunately, your content contains terms that we do not allow. Please edit your content to remove the highlighted words below.
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Create New...